From b3049f8dfb1565e9e07276dd2a798d8374538cbd Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 26 2016 14:00:10 +0000
Subject: [PATCH 576/1001] Show an error message upon error :)


---

diff --git a/hubs/widgets/fhosted.py b/hubs/widgets/fhosted.py
index 4f99f71..0c08928 100644
--- a/hubs/widgets/fhosted.py
+++ b/hubs/widgets/fhosted.py
@@ -26,8 +26,14 @@ def data(session, widget, project, n_tickets=4):
     filters = 'status=accepted&status=assigned&status=new&status=reopened'\
         '&col=id&col=summary&col=status&col=owner&col=type&col=priority'\
         '&col=milestone&col=changetime&order=changetime'
-    server = ServerProxy(url)
-    tickets = server.ticket.query(filters)
+    try:
+        server = ServerProxy(url)
+        tickets = server.ticket.query(filters)
+    except:
+        return dict(
+            error='Invalid or wrongly configured project'
+        )
+
     output = []
     total_tickets = len(tickets)
     for idx, ticket in enumerate(tickets):
